Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::BufferingConstraintPolicy_out Class Reference

`#include <TAOC.h>`

Collaboration diagram for TAO::BufferingConstraintPolicy_out:

[legend]
List of all members.

## Public Methods
| BufferingConstraintPolicy_out (BufferingConstraintPolicy_ptr &)
| BufferingConstraintPolicy_out (BufferingConstraintPolicy_var &)
| BufferingConstraintPolicy_out (const BufferingConstraintPolicy_out &)
BufferingConstraintPolicy_out & | operator= (const BufferingConstraintPolicy_out &)
BufferingConstraintPolicy_out & | operator= (const BufferingConstraintPolicy_var &)
BufferingConstraintPolicy_out & | operator= (BufferingConstraintPolicy_ptr)
| operator BufferingConstraintPolicy_ptr & ()
BufferingConstraintPolicy_ptr & | ptr (void)
BufferingConstraintPolicy_ptr | operator-> (void)
## Private Attributes
BufferingConstraintPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

TAO::BufferingConstraintPolicy_out::BufferingConstraintPolicy_out | ( | BufferingConstraintPolicy_ptr & |  | ) |

TAO::BufferingConstraintPolicy_out::BufferingConstraintPolicy_out | ( | BufferingConstraintPolicy_var & |  | ) |

TAO::BufferingConstraintPolicy_out::BufferingConstraintPolicy_out | ( | const BufferingConstraintPolicy_out & |  | ) |

## Member Function Documentation

TAO::BufferingConstraintPolicy_out::operator BufferingConstraintPolicy_ptr & | ( |  | ) |

BufferingConstraintPolicy_ptr TAO::BufferingConstraintPolicy_out::operator-> | ( | void |  | ) |

BufferingConstraintPolicy_out& TAO::BufferingConstraintPolicy_out::operator= | ( | BufferingConstraintPolicy_ptr |  | ) |

BufferingConstraintPolicy_out& TAO::BufferingConstraintPolicy_out::operator= | ( | const BufferingConstraintPolicy_var & |  | ) |

BufferingConstraintPolicy_out& TAO::BufferingConstraintPolicy_out::operator= | ( | const BufferingConstraintPolicy_out & |  | ) |

BufferingConstraintPolicy_ptr& TAO::BufferingConstraintPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

BufferingConstraintPolicy_ptr& TAO::BufferingConstraintPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- TAOC.h